Whatsapp official
Authorization
bearerAuth AuthorizationBearer <token>
API key sent as Authorization: Bearer <API_KEY>.
In: header
Path Parameters
channelId*string
Id of the official WhatsApp channel (WhatsApp Business) in Ventia.
Response Body
application/json
application/json
application/json
curl -X GET "https://api.getventia.com/api/v1.0/whatsapp-business/string/templates"{
"success": true,
"templates": [
{
"id": "665f1c2e8b3e4a0012345678",
"name": "order_ready",
"language": "es",
"category": "UTILITY",
"status": "approved",
"disabled": false,
"components": [
{
"type": "BODY",
"text": "Hola {{1}}, tu pedido {{2}} está listo."
}
],
"parameters": {
"header": 0,
"body": 2
}
}
]
}Empty
Empty
{
"success": false,
"error": "Channel not found"
}{
"success": false,
"error": "Internal server error"
}Update webhook by ID
Previous Page
Send message
Sends a message to a contact through an official WhatsApp (WhatsApp Business) channel. The message is registered as an interaction on the contact, the same as messages sent from Ventia. Supported types: `text`, `image`, `video`, `audio`, `document` (by public URL), `location` and `template`. Outside the 24-hour customer service window only `template` messages are delivered by WhatsApp. Requires the `interactions:create` scope.